// -*- C++ -*-

#include <lemon/undir_graph_extender.h>
#include <lemon/concept/undir_graph.h>
#include <lemon/list_graph.h>
#include <lemon/smart_graph.h>
#include <lemon/full_graph.h>

#include "test_tools.h"


using namespace lemon;
using namespace lemon::concept;


int main() {
  typedef UndirGraphExtender<ListGraphBase> UndirListGraphBase;

  function_requires< BaseIterableUndirGraphConcept<UndirListGraphBase> >();

  typedef IterableUndirGraphExtender<
    AlterableUndirGraphExtender<UndirListGraphBase> > IterableUndirListGraph;

  function_requires< IterableUndirGraphConcept<IterableUndirListGraph> >();

  return 0;
}
